#!/usr/bin/env python
# 2009 copyright Ralf Weber, Mark Viant
# released under the GPL v2

from distutils.core import setup
import glob 
import sys
import os

def main():
    if sys.version_info[0] != 2 and sys.version_info[1] != 6:
        raise Error("Python-2.6.4 is required")
    example_files = glob.glob(os.path.join('examples', '*.*'))
    example_path = os.path.join('share', 'MI_Pack', 'examples')

    setup( name="MI-Pack",
    version="0.9",
    description="Metabolite Identification Package (MI-Pack)",
    author="Ralf Weber, Mark Viant",
    author_email="rxw744@bham.ac.uk, m.viant@bham.ac.uk",
    url="http://www.biosciences.bham.ac.uk/labs/viant/",
    license="GPL",
    platforms = ['Windows XP, UNIX'],
    keywords = ['Metabolomics', 'Mass spectrometry', 'metabolites','identification', 'Data mining', 'Mass errors'],
    packages=['MI_Pack', 'MI_Pack.KEGG', 'MI_Pack.KEGG.Compound', 'MI_Pack.KEGG.Enzyme',
              'MI_Pack.KEGG.Map', 'MI_Pack.KEGG.Map.Pathway' ,'MI_Pack.KEGG.Map.Pathway.Rep'],

    package_dir={'MI-Pack': 'MI_Pack'},
           
    data_files=[(example_path, example_files)],
    long_description="MI-Pack - Metabolite Identification Package",)

if __name__ == "__main__":
    main()
